### Enumeration

# Gtk PrintOperationAction

since: 4.0

#### Declaration

    enum Gtk.PrintOperationAction

#### Description [src]

Determines what action the print operation should perform.

A parameter of this typs is passed to `gtk_print_operation_run()`.

Available since: 4.0

#### Members

`GTK_PRINT_OPERATION_ACTION_PRINT_DIALOG`

  Show the print dialog.

  - Value: `0`
  - Nickname: `print-dialog`
  - Available since: 4.0
`GTK_PRINT_OPERATION_ACTION_PRINT`

  Start to print without showing the print dialog, based on the current print settings.

  - Value: `1`
  - Nickname: `print`
  - Available since: 4.0
`GTK_PRINT_OPERATION_ACTION_PREVIEW`

  Show the print preview.

  - Value: `2`
  - Nickname: `preview`
  - Available since: 4.0
`GTK_PRINT_OPERATION_ACTION_EXPORT`

  Export to a file. This requires the export-filename property to be set.

  - Value: `3`
  - Nickname: `export`
  - Available since: 4.0